aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-06-13 11:15:28 +0200
committerJan-Simon Möller <jsmoeller@linuxfoundation.org>2017-06-13 11:15:28 +0200
commit65eac20ef3da60891749316fef23a0d58e5b342a (patch)
treed566ac6fd76e79fd7f01a5d6e49eba7aeef338b1
parent14175921ffc53542c687d6a317271901e8ff1ec8 (diff)
Add examples for tests
Change-Id: I2488c210df0b71c1d7b752babce16fd80d17acd3 Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
-rwxr-xr-xcommon/scripts/busybox.sh32
-rwxr-xr-xcommon/scripts/lshw.sh57
-rw-r--r--test-suites/short-smoke/busybox.yaml26
-rw-r--r--test-suites/short-smoke/smoke-tests-basic.yaml20
4 files changed, 135 insertions, 0 deletions
diff --git a/common/scripts/busybox.sh b/common/scripts/busybox.sh
new file mode 100755
index 0000000..04f0b62
--- /dev/null
+++ b/common/scripts/busybox.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Busybox test.
+#
+# Copyright (C) 2010 - 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+# Author: Senthil Kumaran <senthil.kumaran@linaro.org>
+# Maintainer: Milosz Wasilewski <milosz.wasilewski@linaro.org>, Koen Kooi <koen.kooi@linaro.org>
+
+OUT=`busybox ls /proc`
+if [ -n "$OUT" ]
+then
+ echo "busybox: pass"
+ exit 0
+else
+ echo "busybox: fail"
+ exit 1
+fi
diff --git a/common/scripts/lshw.sh b/common/scripts/lshw.sh
new file mode 100755
index 0000000..7910b4e
--- /dev/null
+++ b/common/scripts/lshw.sh
@@ -0,0 +1,57 @@
+#!/bin/sh
+#
+# Copyright (C) 2010 - 2014, Linaro Limited.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+
+lshw > lshw.txt
+
+if grep -E 'core' lshw.txt
+then
+ lava-test-case user-space-lshw-core-present --result pass
+else
+ lava-test-case user-space-lshw-core-present --result fail
+fi
+
+if grep 'firmware' lshw.txt
+then
+ lava-test-case user-space-lshw-firmware-has-info --result pass
+else
+ lava-test-case user-space-lshw-firmware-has-info --result fail
+fi
+
+if grep 'cpu' lshw.txt
+then
+ lava-test-case user-space-lshw-cpu-has-info --result pass
+else
+ lava-test-case user-space-lshw-cpu-has-info --result fail
+fi
+
+if grep 'network' lshw.txt
+then
+ lava-test-case user-space-lshw-network-has-info --result pass
+else
+ lava-test-case user-space-lshw-network-has-info --result fail
+fi
+
+if grep 'storage' lshw.txt
+then
+ lava-test-case user-space-lshw-storage-has-info --result pass
+else
+ lava-test-case user-space-lshw-storage-has-info --result fail
+fi
+
+cat lshw.txt
+rm lshw.txt
diff --git a/test-suites/short-smoke/busybox.yaml b/test-suites/short-smoke/busybox.yaml
new file mode 100644
index 0000000..2d33cf6
--- /dev/null
+++ b/test-suites/short-smoke/busybox.yaml
@@ -0,0 +1,26 @@
+metadata:
+ name: busybox
+ format: "Lava-Test-Shell Test Definition 1.0"
+ description: "Busybox test for Linaro OpenEmbedded builds. BusyBox is software that
+ provides several stripped-down Unix tools in a single executable file.
+ Busybox test runs mkdir, touch, ls, ps, whoami, which, basename, cp, rm,
+ dmesg and grep commands."
+ maintainer:
+ - senthil.kumaran@linaro.org
+ - milosz.wasilewski@linaro.org
+ - koen.kooi@linaro.org
+ os:
+ - openembedded
+ scope:
+ - functional
+
+run:
+ steps:
+ - "cd common/scripts"
+ - "./busybox.sh"
+
+parse:
+ pattern: "^(?P<test_case_id>[a-zA-Z0-9_-]+):\\s(?P<result>\\w+)"
+ fixupdict:
+ PASS: pass
+ FAIL: fail
diff --git a/test-suites/short-smoke/smoke-tests-basic.yaml b/test-suites/short-smoke/smoke-tests-basic.yaml
new file mode 100644
index 0000000..bef846c
--- /dev/null
+++ b/test-suites/short-smoke/smoke-tests-basic.yaml
@@ -0,0 +1,20 @@
+metadata:
+ format: Lava-Test Test Definition 1.0
+ name: smoke-tests-basic
+ description: "Basic system test command for Linaro OpenEmbedded images"
+ maintainer:
+ - dave.pigott@linaro.org
+ os:
+ - openembedded
+ scope:
+ - functional
+
+run:
+ steps:
+ - lava-test-case linux-linaro-openembedded-pwd --shell pwd
+ - lava-test-case linux-linaro-openembedded-uname --shell uname -a
+ - lava-test-case linux-linaro-openembedded-vmstat --shell vmstat
+ - lava-test-case linux-linaro-openembedded-ifconfig --shell ifconfig -a
+ - lava-test-case linux-linaro-openembedded-lscpu --shell lscpu
+ - lava-test-case linux-linaro-openembedded-lsusb --shell lsusb
+ - lava-test-case linux-linaro-openembedded-lsb_release --shell lsb_release -a